## polybar 3.3.1

=== include/CMakeLists.txt ===
#
# Generate settings.hpp
#

list(APPEND dirs ${CMAKE_CURRENT_LIST_DIR})

if(WITH_XRANDR)
  list(APPEND XPP_EXTENSION_LIST xpp::randr::extension)
endif()
if(WITH_XRENDER)
  list(APPEND XPP_EXTENSION_LIST xpp::render::extension)
endif()
if(WITH_XDAMAGE)
  list(APPEND XPP_EXTENSION_LIST xpp::damage::extension)
endif()
if(WITH_XSYNC)
  list(APPEND XPP_EXTENSION_LIST xpp::sync::extension)
endif()
if(WITH_XCOMPOSITE)
  list(APPEND XPP_EXTENSION_LIST xpp::composite::extension)
endif()
if(WITH_XKB)
  list(APPEND XPP_EXTENSION_LIST xpp::xkb::extension)
endif()
string(REPLACE ";" ", " XPP_EXTENSION_LIST "${XPP_EXTENSION_LIST}")

execute_process(COMMAND git describe --tags --dirty=-git
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  OUTPUT_VARIABLE APP_VERSION
  OUTPUT_STRIP_TRAILING_WHITESPACE ERROR_QUIET)

if(APP_VERSION)
  STRING(REGEX REPLACE "[^a-zA-Z0-9_]" "_" APP_VERSION_NAMESPACE "v${APP_VERSION}")
endif()

configure_file(
  ${CMAKE_CURRENT_LIST_DIR}/settings.hpp.cmake
  ${CMAKE_CURRENT_LIST_DIR}/settings.hpp
  ESCAPE_QUOTES @ONLY)

set(APP_VERSION ${APP_VERSION} PARENT_SCOPE)
set(dirs ${dirs} PARENT_SCOPE)

=== tests/CMakeLists.txt ===
include_directories(${dirs})
include_directories(${CMAKE_CURRENT_LIST_DIR})

# Download and unpack googletest at configure time {{{
configure_file(
  CMakeLists.txt.in
  ${CMAKE_BINARY_DIR}/googletest-download/CMakeLists.txt
  )
execute_process( COMMAND ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}" .
  RESULT_VARIABLE result
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/googletest-download)

if(result)
  message(FATAL_ERROR "CMake step for googletest failed: ${result}")
endif()

execute_process(COMMAND ${CMAKE_COMMAND} --build .
  RESULT_VARIABLE result
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/googletest-download )

if(result)
  message(FATAL_ERROR "Build step for googletest failed: ${result}")
endif()

# Add googletest directly to our build. This defines
# the gtest, gtest_main, gmock and gmock_main targets.
add_subdirectory(${CMAKE_BINARY_DIR}/googletest-src
                 ${CMAKE_BINARY_DIR}/googletest-build
                 EXCLUDE_FROM_ALL)

# }}}

# Compile all unit tests with 'make all_unit_tests'
add_custom_target(all_unit_tests
    COMMENT "Building all unit test")

function(add_unit_test source_file)
  string(REPLACE "/" "_" testname ${source_file})
  set(name "unit_test.${testname}")

  add_executable(${name} unit_tests/${source_file}.cpp)

  # Link against gmock (this automatically links against gtest)
  target_link_libraries(${name} poly gmock_main)
  add_test(NAME ${name} COMMAND ${name})

  add_dependencies(all_unit_tests ${name})
endfunction()

add_unit_test(utils/color)
add_unit_test(utils/math unit_tests)
add_unit_test(utils/memory unit_tests)
add_unit_test(utils/scope unit_tests)
add_unit_test(utils/string unit_tests)
add_unit_test(utils/file)
add_unit_test(components/command_line)
add_unit_test(components/bar)
add_unit_test(components/builder)
add_unit_test(components/parser)

=== doc/bash/CMakeLists.txt ===
#
# Bash completion template
#
install(FILES polybar
  DESTINATION share/bash-completion/completions
  COMPONENT tools)

=== lib/i3ipcpp/CMakeLists.txt ===
# Project setup

cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
project(i3ipc++ CXX)

option(WITH_LOGGING "Build with log support" OFF)
option(WITH_TESTS "Build unit tests executables" OFF)
option(BUILD_EXAMPLES "Build example executables" OFF)

add_library(${PROJECT_NAME} STATIC
  ${PROJECT_SOURCE_DIR}/3rd/auss/include/auss.hpp
  ${PROJECT_SOURCE_DIR}/include/i3ipc++/ipc.hpp
  ${PROJECT_SOURCE_DIR}/include/i3ipc++/ipc-util.hpp
  ${PROJECT_SOURCE_DIR}/src/ipc.cpp
  ${PROJECT_SOURCE_DIR}/src/ipc-util.cpp)

target_include_directories(${PROJECT_NAME} PUBLIC ${PROJECT_SOURCE_DIR}/3rd/auss/include)
target_include_directories(${PROJECT_NAME} PUBLIC ${PROJECT_SOURCE_DIR}/include)

target_compile_options(${PROJECT_NAME} PRIVATE -std=c++11 -Wall -Wextra -Wno-unused-parameter -Wno-deprecated-declarations)
target_compile_options(${PROJECT_NAME} PRIVATE $<$<CONFIG:Debug>:-g3 -DDEBUG>)
target_compile_options(${PROJECT_NAME} PRIVATE $<$<CONFIG:Release>:-O2>)

# External library: jsoncpp-1.7.7 {{{

find_package(PkgConfig)
pkg_check_modules(JSONCPP jsoncpp>=1.7.7)

if(NOT JSONCPP_FOUND)
  message(STATUS "Could not find jsoncpp>=1.7.7 -- building static lib...")
  add_subdirectory(${PROJECT_SOURCE_DIR}/libs/jsoncpp-1.7.7 EXCLUDE_FROM_ALL)
  set(JSONCPP_LIBRARIES jsoncpp_lib_static)
  set(JSONCPP_INCLUDEDIR ${PROJECT_SOURCE_DIR}/libs/jsoncpp-1.7.7/include)
elseif(NOT JSONCPP_LIBRARIES AND JSONCPP_LIBS)
  set(JSONCPP_LIBRARIES "${JSONCPP_LIBS}")
endif()

target_link_libraries(${PROJECT_NAME} PUBLIC ${JSONCPP_LIBRARIES})
target_include_directories(${PROJECT_NAME} PUBLIC ${JSONCPP_INCLUDEDIR})

# }}}
# Export lists to the parent scope if there are any {{{

get_directory_property(HAS_PARENT PARENT_DIRECTORY)
if(HAS_PARENT)
  set(I3IPCPP_LIBRARIES ${PROJECT_NAME} PARENT_SCOPE)
  set(I3IPCPP_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/include ${JSONCPP_INCLUDEDIR})
endif()

# }}}
# Build examples if the option was given {{{

if(BUILD_EXAMPLES)
  add_subdirectory("${PROJECT_SOURCE_DIR}/examples")
endif()

# }}}
# Build cpp tests if the option was given {{{

if(WITH_TESTS)
  find_package(CxxTest)
  if(CXXTEST_FOUND)
    include_directories(${CXXTEST_INCLUDE_DIR} "${PROJECT_SOURCE_DIR}/src")
    add_definitions("-DTEST_SRC_ROOT=${PROJECT_SOURCE_DIR}/test")
    enable_testing()
    file(GLOB SRC_TEST "${PROJECT_SOURCE_DIR}/test/*.hpp")
    CXXTEST_ADD_TEST(i3ipcpp_check test.cpp ${SRC_TEST})
    target_link_libraries(i3ipcpp_check ${I3IPCPP_LIBRARIES})
  else()
    message(WARNING "CxxTest not found. Unable to run unit-tests")
  endif()
endif()

# }}}

=== lib/xpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
project(xpp)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)

#
# Process dependencies
#
find_package(PkgConfig)
pkg_check_modules(XCBPROTO REQUIRED xcb-proto)

# Store the location of the proto xml files inside XCBPROTO_XCBINCLUDEDIR
if(${CMAKE_VERSION} VERSION_LESS "3.4.0") 
    # pkg_get_variable was introduced in 3.4.0 if it isn't available, we fall back to ${prefix}/share/xcb

    if(NOT XCBPROTO_PREFIX)
        set(XCBPROTO_PREFIX /usr)
    endif()

    set(XCBPROTO_XCBINCLUDEDIR ${XCBPROTO_PREFIX}/share/xcb)
    message(STATUS "${PROJECT_NAME}: pkg_get_variable not supported, setting XCBPROTO_XCBINCLUDEDIR to ${XCBPROTO_XCBINCLUDEDIR}")
else()
    # The xml file that need to be included later are stored in xcbincludedir as defined in xcb-proto.pc
    pkg_get_variable(XCBPROTO_XCBINCLUDEDIR xcb-proto xcbincludedir)
endif()

find_package(PythonInterp 2.7 REQUIRED)
find_package(XCB REQUIRED XCB ICCCM EWMH UTIL IMAGE)

if(NOT PYTHON_EXECUTABLE)
  message(FATAL_ERROR "Missing PYTHON_EXECUTABLE")
endif()

set(XPP_INCLUDE_DIRS
  ${PROJECT_SOURCE_DIR}/include
  ${XCB_XCB_INCLUDE_DIR}
  ${XCB_EWMH_INCLUDE_DIR}
  ${XCB_ICCCM_INCLUDE_DIR}
  ${XCB_UTIL_INCLUDE_DIR}
  ${XCB_IMAGE_INCLUDE_DIR})
set(XPP_LIBRARIES
  ${XCB_XCB_LIBRARY}
  ${XCB_EWMH_LIBRARY}
  ${XCB_ICCCM_LIBRARY}
  ${XCB_UTIL_LIBRARY}
  ${XCB_IMAGE_LIBRARY})

#
# Loop through a hardcoded list of python executables to locate the python module "xcbgen"
#
foreach(CURRENT_EXECUTABLE python2 python2.7 python3 python)
  message(STATUS "Searching for xcbgen with " ${CURRENT_EXECUTABLE})

  execute_process(COMMAND "${CURRENT_EXECUTABLE}" "-c"
    "import re,xcbgen;print(re.compile('/xcbgen/__init__.py.*').sub('',xcbgen.__file__))"
    RESULT_VARIABLE _xcbgen_status
    OUTPUT_VARIABLE _xcbgen_location
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

  # When a shell script returns successfully its return code is 0
  if(_xcbgen_status EQUAL 0)
    set(PYTHON_XCBGEN "${_xcbgen_location}" CACHE STRING "Location of python module: xcbgen ")
    message(STATUS "Found xcbgen in " ${PYTHON_XCBGEN})
    break()
  endif()

endforeach(CURRENT_EXECUTABLE)

if(NOT PYTHON_XCBGEN)
  message(FATAL_ERROR "Missing required python module: xcbgen")
endif()

#
# Include XCB libs depending on what protos we build
#
if(NOT XCB_PROTOS)
  set(XCB_PROTOS
    "bigreq"
    "composite"
    "damage"
    "dpms"
    "dri2"
    "dri3"
    "glx"
    "present"
    "randr"
    "record"
    "render"
    "res"
    "screensaver"
    "shape"
    "shm"
    "sync"
    "xc_misc"
    "xevie"
    "xf86dri"
    "xfixes"
    "xinerama"
    "xinput"
    "xkb"
    "xprint"
    "xproto"
    "xselinux"
    "xtest"
    "xv"
    "xvmc")
endif()

if(";${XCB_PROTOS};" MATCHES ";randr;")
  find_package(XCB REQUIRED RANDR)
  set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_RANDR_INCLUDE_DIR})
  set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_RANDR_LIBRARY})
endif()
if(";${XCB_PROTOS};" MATCHES ";render;")
  find_package(XCB REQUIRED RENDER)
  set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_RENDER_INCLUDE_DIR})
  set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_RENDER_LIBRARY})
endif()
if(";${XCB_PROTOS};" MATCHES ";damage;")
  find_package(XCB REQUIRED DAMAGE)
  set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_DAMAGE_INCLUDE_DIR})
  set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_DAMAGE_LIBRARY})
endif()
if(";${XCB_PROTOS};" MATCHES ";sync;")
  find_package(XCB REQUIRED SYNC)
  set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_SYNC_INCLUDE_DIR})
  set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_SYNC_LIBRARY})
endif()
if(";${XCB_PROTOS};" MATCHES ";composite;")
  find_package(XCB REQUIRED COMPOSITE)
  set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_COMPOSITE_INCLUDE_DIR})
  set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_COMPOSITE_LIBRARY})
endif()
if(";${XCB_PROTOS};" MATCHES ";xkb;")
  find_package(XCB REQUIRED XKB)
  set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} ${XCB_XKB_INCLUDE_DIR})
  set(XPP_LIBRARIES ${XPP_LIBRARIES} ${XCB_XKB_LIBRARY})
endif()

set(PROTO_LIST)

file(GLOB PROTO_LIST_RAW RELATIVE ${XCBPROTO_XCBINCLUDEDIR} ${XCBPROTO_XCBINCLUDEDIR}/*.xml)

#
# Filter glob
#
foreach(PROTO_RAW ${PROTO_LIST_RAW})
  string(REGEX REPLACE "(^xf86vidmode.xml|^ge.xml|.xml)\$" "" PROTO ${PROTO_RAW})
  if(PROTO AND ";${XCB_PROTOS};" MATCHES ";${PROTO};")
    message(STATUS "${PROJECT_NAME}: including xcb proto ${PROTO_RAW}")
    set(PROTO_LIST ${PROTO_LIST} ${PROTO})
  endif()
endforeach(PROTO_RAW)

#
# Add commands
#
set(PROTO_HEADER_FILES "")
foreach(PROTO ${PROTO_LIST})
  string(REGEX REPLACE "proto\$" "" PROTO_OUTPUT ${PROTO})
  set(OUTPUT_FILE ${PROJECT_SOURCE_DIR}/include/xpp/proto/${PROTO_OUTPUT}.hpp)
  add_custom_command(
    OUTPUT ${OUTPUT_FILE}
    COMMAND ${PYTHON_EXECUTABLE} ${PROJECT_SOURCE_DIR}/generators/cpp_client.py -p "${PYTHON_XCBGEN}"
    ${XCBPROTO_XCBINCLUDEDIR}/${PROTO}.xml > ${OUTPUT_FILE})
  list(APPEND PROTO_HEADER_FILES ${OUTPUT_FILE})
endforeach(PROTO)

#
# Create project lib and commands
#
file(GLOB_RECURSE HEADER_FILES ${PROJECT_SOURCE_DIR}/include/*.hpp)
add_library(${PROJECT_NAME} STATIC ${HEADER_FILES} ${PROTO_HEADER_FILES})

target_include_directories(${PROJECT_NAME} PUBLIC ${XPP_INCLUDE_DIRS})
target_include_directories(${PROJECT_NAME} PRIVATE ${PROJECT_SOURCE_DIR}/include/xpp)
target_link_libraries(${PROJECT_NAME} PRIVATE ${XPP_LIBRARIES})

target_compile_options(${PROJECT_NAME} PRIVATE -std=c++14 -Wall -Wpedantic)
target_compile_options(${PROJECT_NAME} PRIVATE $<$<CONFIG:Debug>:-g3 -DDEBUG>)
target_compile_options(${PROJECT_NAME} PRIVATE $<$<CONFIG:Release>:-O3 -Wno-unused-variable>)
target_compile_options(${PROJECT_NAME} PUBLIC ${X11_XCB_DEFINITIONS} ${XCB_DEFINITIONS})

set_target_properties(${PROJECT_NAME} PROPERTIES LINKER_LANGUAGE CXX)

#
# Export lists to the parent scope if there are any
#
get_directory_property(HAS_PARENT PARENT_DIRECTORY)

if(HAS_PARENT)
  set(XPP_INCLUDE_DIRS ${XPP_INCLUDE_DIRS} PARENT_SCOPE)
  set(XPP_LIBRARIES ${PROJECT_NAME} PARENT_SCOPE)
endif()

=== debian/changelog ===
polybar (3.3.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Drop xcb_eventstruct_support.patch, applied upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 May 2019 09:31:19 -0700

polybar (3.2.1.0-0.1~obs) obs; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 15 Nov 2018 15:39:04 -0800

polybar (3.1.0-1) UNRELEASE; urgency=medium

  * Initial release (Closes: #999999)

 -- Jason Pleau <jason@jpleau.ca>  Thu, 01 Mar 2018 22:58:43 -0500

=== debian/control ===
Source: polybar
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 10),
               cmake (>= 3.1.0),
               i3-wm,
               libasound2-dev,
               libpulse-dev,
               libcairo2-dev,
               libcurl4-openssl-dev,
               libiw-dev,
               libjsoncpp-dev (>= 1.7.4),
               libmpdclient-dev,
               libxcb-icccm4-dev,
               libxcb-ewmh-dev,
               libxcb-util0-dev,
               libxcb-image0-dev,
               libxcb-damage0-dev,
               libxcb-composite0-dev,
               libxcb-randr0-dev,
               libxcb-render0-dev,
               libxcb-sync-dev,
               libxcb-xkb-dev,
               python-xcbgen,
               pkg-config,
               xcb-proto
Standards-Version: 4.1.3
Homepage: https://github.com/jaagr/polybar
Vcs-Git: https://salsa.debian.org/jpleau-guest/polybar
Vcs-Browser: https://salsa.debian.org/jpleau-guest/polybar

Package: polybar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fast and easy-to-use status bar
 Polybar aims to help users build beautiful and highly customizable status 
 bars for their desktop environment, without the need of having a black belt
 in shell scripting.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


%:
	dh $@ --buildsystem=cmake --builddirectory=build


override_dh_auto_configure:
	rm -rf include/xpp/proto/*.hpp
	dh_auto_configure -- \
	  -DENABLE_ALSA:BOOL=1 \
      -DENABLE_I3:BOOL=1 \
      -DENABLE_MPD:BOOL=1 \
      -DENABLE_NETWORK:BOOL=1 \
      -DENABLE_CURL:BOOL=1 \
      -DBUILD_IPC_MSG:BOOL=1

override_dh_strip:
	dh_strip --no-automatic-dbgsym

# git commit or tag
GITREV=3.3.1
GIT_URL=https://github.com/jaagr/polybar
SRC_DIR=polybar-$(DEB_VERSION_UPSTREAM)

get-orig-source:
	rm -rf $(SRC_DIR) polybar_$(DEB_VERSION_UPSTREAM).orig.tar.gz 
	git clone $(GIT_URL) $(SRC_DIR)
	cd $(SRC_DIR) && git checkout $(GITREV) && git submodule update --init
	rm -rf $(SRC_DIR)/.git
	rm -rf $(SRC_DIR)/.gitmodules
	rm -rf $(SRC_DIR)/lib/i3ipcpp/.git
	rm -rf $(SRC_DIR)/lib/xpp/.git
	tar czvf polybar_$(DEB_VERSION_UPSTREAM).orig.tar.gz $(SRC_DIR)
	rm -rf $(SRC_DIR)

## polybar 3.4.0

=== CMakeLists.txt ===
#
# Build configuration
#
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)

# Enable ccache by default and as early as possible because project() performs
# checks on the compiler
option(ENABLE_CCACHE "Enable ccache support" ON)
if(ENABLE_CCACHE)
  message(STATUS "Trying to enable ccache")
  find_program(BIN_CCACHE ccache)

  string(ASCII 27 esc)
  if(NOT BIN_CCACHE)
    message(STATUS "${esc}[33mCouldn't locate ccache, disabling ccache...${esc}[0m")
  else()
    # Enable only if the binary is found
    message(STATUS "${esc}[32mUsing compiler cache ${BIN_CCACHE}${esc}[0m")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ${BIN_CCACHE})
  endif()
endif()

project(polybar C CXX)

set(CMAKE_MODULE_PATH
  ${CMAKE_MODULE_PATH}
  ${PROJECT_SOURCE_DIR}/cmake
  ${PROJECT_SOURCE_DIR}/cmake/common
  ${PROJECT_SOURCE_DIR}/cmake/modules)

include(utils)
include(01-core)
include(02-opts)
include(03-libs)
include(04-targets)
include(05-summary)

add_subdirectory(doc)
add_subdirectory(doc/bash)
add_subdirectory(doc/zsh)
add_subdirectory(include)
add_subdirectory(lib)
add_subdirectory(man)
add_subdirectory(src bin)

# We need to enable testing in the root folder so that 'ctest' and 'make test'
# can be run in the build directory
if(BUILD_TESTS)
  enable_testing()
  add_subdirectory(tests)
endif()

=== Makefile ===
#
# Polybar development tasks
#
BUILDDIR  ?= build
GENERATOR ?= $(shell for c in ninja make; do command -vp $$c; done | xargs basename | sed "s/ninja/Ninja/;s/make/Unix Makefiles/")

all: configure build link

help:
	@echo "Available targets:"
	@awk -F':' '/^\w*:/ {print "  "$$1;}' Makefile

configure:
	@echo "\033[32;1m**\033[0m Configuring..."
	@mkdir -p $(BUILDDIR)
	@cd $(BUILDDIR) && cmake -G "$(GENERATOR)" ..

build:
	@echo "\033[32;1m**\033[0m Building..."
	@cmake --build $(BUILDDIR)

install:
	@echo "\033[32;1m**\033[0m Installing..."
	@cmake --build $(BUILDDIR) --target install

link:
	@echo "\033[32;1m**\033[0m Linking executable..."
	@if [ -x $(BUILDDIR)/bin/polybar ]; then ln -sfv $(BUILDDIR)/bin/polybar; fi
	@if [ -x $(BUILDDIR)/bin/polybar-msg ]; then ln -sfv $(BUILDDIR)/bin/polybar-msg; fi

clean:
	@echo "\033[32;1m**\033[0m Cleaning up..."
	@if [ -d $(BUILDDIR) ]; then rm -rf $(BUILDDIR); fi
	@if [ -L polybar ]; then rm -v polybar; fi
	@if [ -L polybar-msg ]; then rm -v polybar-msg; fi

.PHONY: configure build link clean help

# vim:ts=2 sw=2 noet nolist

=== doc/CMakeLists.txt ===
#
# Generate configuration file
#

set(MODULES_LEFT "bspwm i3")
set(MODULES_CENTER "mpd")
set(MODULES_RIGHT "filesystem xbacklight alsa pulseaudio xkeyboard memory cpu wlan eth battery temperature date powermenu")

set(FONT_FIXED "fixed:pixelsize=10")
set(FONT_UNIFONT "unifont:fontformat=truetype")
set(FONT_SIJI "siji:pixelsize=10")

queryfont(FONT_FIXED ${FONT_FIXED} FIELDS family pixelsize)
queryfont(FONT_UNIFONT ${FONT_UNIFONT} FIELDS family fontformat)
queryfont(FONT_SIJI ${FONT_SIJI} FIELDS family pixelsize)

# Strip disabled modules {{{

if(NOT ENABLE_PULSEAUDIO)
  string(REPLACE " pulseaudio" "" MODULES_RIGHT ${MODULES_RIGHT})
endif()
if(NOT ENABLE_ALSA)
  string(REPLACE " alsa" "" MODULES_RIGHT ${MODULES_RIGHT})
endif()
if(NOT ENABLE_I3)
  string(REPLACE " i3" "" MODULES_LEFT ${MODULES_LEFT})
endif()
if(NOT ENABLE_MPD)
  string(REPLACE "mpd" "" MODULES_CENTER ${MODULES_CENTER})
endif()
if(NOT ENABLE_NETWORK)
  string(REPLACE " wlan eth" "" MODULES_RIGHT ${MODULES_RIGHT})
endif()
if(NOT WITH_XRANDR)
  string(REPLACE "xbacklight " "backlight-acpi " MODULES_RIGHT ${MODULES_RIGHT})
endif()
if(NOT WITH_XKB)
  string(REPLACE "xkeyboard " "" MODULES_RIGHT ${MODULES_RIGHT})
endif()

# }}}
# Get battery/adapter name {{{

string(REGEX REPLACE /%battery%.* "" PATH_BAT ${SETTING_PATH_BATTERY})
string(REGEX REPLACE /%adapter%.* "" PATH_ADP ${SETTING_PATH_ADAPTER})
file(GLOB BAT_LIST RELATIVE ${PATH_BAT} ${PATH_ADP}/B*)
file(GLOB ADP_LIST RELATIVE ${PATH_ADP} ${PATH_ADP}/A*)
if(BAT_LIST)
  list(GET BAT_LIST 0 BATTERY)
else()
  set(BATTERY BAT0)
endif()
if(ADP_LIST)
  list(GET ADP_LIST 0 ADAPTER)
else()
  set(ADAPTER ADP1)
endif()

# }}}
# Get network interfaces {{{

if(ENABLE_NETWORK)
  file(GLOB IFLIST RELATIVE /sys/class/net /sys/class/net/*)
  foreach(INTERFACE ${IFLIST})
    if(NOT ${INTERFACE} STREQUAL "lo")
      file(GLOB IS_WIRELESS /sys/class/net/${INTERFACE}/wireless)
      if(IS_WIRELESS)
        set(INTERFACE_WLAN ${INTERFACE})
      else()
        set(INTERFACE_ETH ${INTERFACE})
      endif()
    endif()
  endforeach()
  if(NOT INTERFACE_ETH)
    set(INTERFACE_ETH net0)
  endif()
  if(NOT INTERFACE_WLAN)
    set(INTERFACE_WLAN net1)
  endif()
endif()

# }}}
# Configure and install {{{

configure_file(
  ${CMAKE_CURRENT_LIST_DIR}/config.cmake
  ${CMAKE_CURRENT_LIST_DIR}/config
  ESCAPE_QUOTES @ONLY)

install(FILES config
  DESTINATION share/doc/polybar
  COMPONENT config)

# }}}

=== lib/CMakeLists.txt ===
#
# Configure libs
#

# Library: concurrentqueue {{{

add_library(concurrentqueue INTERFACE)
target_include_directories(concurrentqueue INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/concurrentqueue/include>)
list(APPEND libs concurrentqueue)

# }}}
# Library: xpp {{{

set(XCB_PROTOS xproto)

if(WITH_XRANDR)
  list(APPEND XCB_PROTOS randr)
endif()
if(WITH_XRENDER)
  list(APPEND XCB_PROTOS render)
endif()
if(WITH_XDAMAGE)
  list(APPEND XCB_PROTOS damage)
endif()
if(WITH_XSYNC)
  list(APPEND XCB_PROTOS sync)
endif()
if(WITH_XCOMPOSITE)
  list(APPEND XCB_PROTOS composite)
endif()
if(WITH_XKB)
  list(APPEND XCB_PROTOS xkb)
endif()

add_subdirectory(xpp)
list(APPEND libs xpp)

# }}}
# Library: i3ipcpp {{{

if(ENABLE_I3)
  add_subdirectory(i3ipcpp)
  list(APPEND libs ${I3IPCPP_LIBRARIES})
endif()

# }}}

set(libs ${libs} PARENT_SCOPE)

=== man/CMakeLists.txt ===
# Gets the date of the latest commit in the form YYYY-MM-DD
# This date is used in the man page
execute_process(COMMAND git log -1 --date=format:%Y-%m-%d --format=%cd
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  OUTPUT_VARIABLE LAST_COMMIT_DATE
  OUTPUT_STRIP_TRAILING_WHITESPACE)

set(MAN_PAGES_1 polybar.1)
configure_file(
  ${CMAKE_CURRENT_LIST_DIR}/${MAN_PAGES_1}.cmake
  ${CMAKE_CURRENT_LIST_DIR}/${MAN_PAGES_1}
  ESCAPE_QUOTES @ONLY)

INSTALL(FILES ${MAN_PAGES_1}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1
  COMPONENT doc)

=== src/CMakeLists.txt ===
#
# Configure src
#

# Source tree {{{

file(GLOB_RECURSE files RELATIVE ${CMAKE_CURRENT_LIST_DIR} *.c[p]*)
list(REMOVE_ITEM files main.cpp ipc.cpp)

if(NOT ENABLE_ALSA)
  list(REMOVE_ITEM files modules/alsa.cpp)
  list(REMOVE_ITEM files adapters/alsa/control.cpp)
  list(REMOVE_ITEM files adapters/alsa/mixer.cpp)
endif()
if(NOT ENABLE_CURL)
  list(REMOVE_ITEM files modules/github.cpp)
  list(REMOVE_ITEM files utils/http.cpp)
endif()
if(NOT ENABLE_MPD)
  list(REMOVE_ITEM files modules/mpd.cpp)
  list(REMOVE_ITEM files adapters/mpd.cpp)
endif()
if(NOT ENABLE_NETWORK)
  list(REMOVE_ITEM files modules/network.cpp)
  list(REMOVE_ITEM files adapters/net.cpp)
  list(REMOVE_ITEM files adapters/net_iw.cpp)
  list(REMOVE_ITEM files adapters/net_nl.cpp)
endif()
if(WITH_LIBNL)
  list(REMOVE_ITEM files adapters/net_iw.cpp)
else()
  list(REMOVE_ITEM files adapters/net_nl.cpp)
endif()
if(NOT ENABLE_I3)
  list(REMOVE_ITEM files modules/i3.cpp)
  list(REMOVE_ITEM files utils/i3.cpp)
endif()
if(NOT ENABLE_PULSEAUDIO)
  list(REMOVE_ITEM files modules/pulseaudio.cpp)
  list(REMOVE_ITEM files adapters/pulseaudio.cpp)
endif()
if(NOT WITH_XRANDR)
  list(REMOVE_ITEM files x11/extensions/randr.cpp)
endif()
if(NOT WITH_XRENDER)
  list(REMOVE_ITEM files x11/extensions/render.cpp)
endif()
if(NOT WITH_XDAMAGE)
  list(REMOVE_ITEM files x11/extensions/damage.cpp)
endif()
if(NOT WITH_XSYNC)
  list(REMOVE_ITEM files x11/extensions/sync.cpp)
endif()
if(NOT WITH_XCOMPOSITE)
  list(REMOVE_ITEM files x11/extensions/composite.cpp)
endif()
if(NOT WITH_XKB)
  list(REMOVE_ITEM files x11/extensions/xkb.cpp)
  list(REMOVE_ITEM files modules/xkeyboard.cpp)
endif()
if(NOT WITH_XRM)
  list(REMOVE_ITEM files x11/xresources.cpp)
endif()
if(NOT WITH_XCURSOR)
  list(REMOVE_ITEM files x11/cursor.cpp)
endif()

# }}}

# Target: polybar {{{

add_library(poly STATIC ${files})
target_include_directories(poly PUBLIC ${dirs})
target_link_libraries(poly ${libs} Threads::Threads)
target_compile_options(poly PUBLIC $<$<CXX_COMPILER_ID:GNU>:$<$<CONFIG:MinSizeRel>:-flto>>)

add_executable(polybar main.cpp)
target_link_libraries(polybar poly)

install(TARGETS polybar
  DESTINATION ${CMAKE_INSTALL_BINDIR}
  COMPONENT runtime)

# }}}
# Target: polybar-msg {{{

if(BUILD_IPC_MSG)
  add_executable(polybar-msg
    ipc.cpp
    utils/env.cpp
    utils/file.cpp
    utils/string.cpp)
  target_include_directories(polybar-msg PRIVATE ${dirs})
  target_compile_options(polybar-msg PUBLIC $<$<CXX_COMPILER_ID:GNU>:$<$<CONFIG:MinSizeRel>:-flto>>)

  install(TARGETS polybar-msg
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT runtime)

endif()

# }}}

# Export source file list so that it can be used for test compilation
set(files ${files} PARENT_SCOPE)

=== doc/zsh/CMakeLists.txt ===
#
# Zsh completion template
#
install(FILES _polybar _polybar_msg
  DESTINATION share/zsh/site-functions
  COMPONENT tools)

=== debian/changelog ===
polybar (3.4.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release; ebuild for MX 17.
  * Add python3-sphinx build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Oct 2019 19:13:53 -0700

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libxcb-sync-dev,
                libxcb-xkb-dev,
                python-xcbgen,
+               python3-sphinx,
                pkg-config,
                xcb-proto
 Standards-Version: 4.1.3

## polybar 3.4.1

=== lib/xpp/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 pkg_check_modules(XCBPROTO REQUIRED xcb-proto)
 
 # Store the location of the proto xml files inside XCBPROTO_XCBINCLUDEDIR
-if(${CMAKE_VERSION} VERSION_LESS "3.4.0") 
+if(${CMAKE_VERSION} VERSION_LESS "3.4.0")
     # pkg_get_variable was introduced in 3.4.0 if it isn't available, we fall back to ${prefix}/share/xcb
 
     if(NOT XCBPROTO_PREFIX)
@@ -24,7 +24,7 @@
     pkg_get_variable(XCBPROTO_XCBINCLUDEDIR xcb-proto xcbincludedir)
 endif()
 
-find_package(PythonInterp 2.7 REQUIRED)
+find_package(PythonInterp 3.5 REQUIRED)
 find_package(XCB REQUIRED XCB ICCCM EWMH UTIL IMAGE)
 
 if(NOT PYTHON_EXECUTABLE)
@@ -48,7 +48,7 @@
 #
 # Loop through a hardcoded list of python executables to locate the python module "xcbgen"
 #
-foreach(CURRENT_EXECUTABLE python2 python2.7 python3 python)
+foreach(CURRENT_EXECUTABLE python python3 python2 python2.7)
   message(STATUS "Searching for xcbgen with " ${CURRENT_EXECUTABLE})
 
   execute_process(COMMAND "${CURRENT_EXECUTABLE}" "-c"

=== debian/changelog ===
polybar (3.4.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
    - ipc: Update bar when making it visible (#1889), see #1875
      Set bar position when making it visible (#1901), see #1484, i3/i3#3834
    - internal/backlight: Use correct brightness file for amdgpu_bl0 (#1900),
      see #1870, Alexays/Waybar#335


 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 Nov 2019 15:22:44 -0800

polybar (3.4.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; ebuild for MX 19.
  * Add python3-sphinx build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Oct 2019 19:13:53 -0700

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_strip --no-automatic-dbgsym
 
 # git commit or tag
-GITREV=3.3.1
+GITREV=3.4.1
 GIT_URL=https://github.com/jaagr/polybar
 SRC_DIR=polybar-$(DEB_VERSION_UPSTREAM)

## polybar 3.4.2

=== doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)

# Only used if documentation is built on its own
project(polybar-doc NONE)

find_program(SPHINX_EXECUTABLE
  NAMES sphinx-build
  DOC "Sphinx Documentation Builder")

if(NOT SPHINX_EXECUTABLE)
  message_colored(FATAL_ERROR "Failed to locate sphinx-build" 31)
endif()

set(SPHINX_FLAGS "" CACHE STRING "Flags to pass to sphinx-build")
separate_arguments(sphinx_flags UNIX_COMMAND "${SPHINX_FLAGS}")

set(doc_path "${CMAKE_CURRENT_SOURCE_DIR}")

# Configures conf.py in the current folder and puts it in the build folder
configure_file(conf.py conf.py @ONLY)

# We want to run `sphinx-build` with the following builders
set(doc_builders "html" "man")

# Name of all documentation targets
set(doc_targets "")

foreach(builder ${doc_builders})
  set(doc_target "doc_${builder}")
  set(builder_log "builder-${builder}.log")
  add_custom_target(${doc_target}
    COMMAND ${SPHINX_EXECUTABLE}
            -b ${builder}
            # conf.py dir
            -c "${CMAKE_CURRENT_BINARY_DIR}"
            -d "${CMAKE_CURRENT_BINARY_DIR}/doctrees"
            ${sphinx_flags}
            # Documentation source file dir
            "${CMAKE_CURRENT_SOURCE_DIR}"
            # Output dir
            "${CMAKE_CURRENT_BINARY_DIR}/${builder}" > ${builder_log}
    COMMENT "sphinx-build ${builder}: see doc/${builder_log}")

  list(APPEND doc_targets ${doc_target})
endforeach()

# Dummy target that depends on all documentation targets
add_custom_target(doc ALL DEPENDS ${doc_targets})

# This is needed for the case where only the doc target is built
# CMAKE_INSTALL_DOCDIR uses PROJECT_NAME which is now polybar-doc, to be
# consistent with a regular install we temporarily override it with "polybar"
# before including GNUInstallDirs
# Also since no language is set and GNUInstallDirs cannot set
# CMAKE_INSTALL_LIBDIR, so we set it to a dummy value to suppress a warning
if(${CMAKE_PROJECT_NAME} STREQUAL "polybar-doc")
  set(PROJECT_NAME "polybar")
  set(CMAKE_INSTALL_LIBDIR "")
  include(GNUInstallDirs)
  set(PROJECT_NAME "polybar-doc")
endif()

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
  DESTINATION ${CMAKE_INSTALL_DOCDIR}
  COMPONENT doc)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/man/polybar.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
  COMPONENT doc)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,15 +41,6 @@
 endif()
 if(NOT WITH_XRANDR)
   list(REMOVE_ITEM files x11/extensions/randr.cpp)
-endif()
-if(NOT WITH_XRENDER)
-  list(REMOVE_ITEM files x11/extensions/render.cpp)
-endif()
-if(NOT WITH_XDAMAGE)
-  list(REMOVE_ITEM files x11/extensions/damage.cpp)
-endif()
-if(NOT WITH_XSYNC)
-  list(REMOVE_ITEM files x11/extensions/sync.cpp)
 endif()
 if(NOT WITH_XCOMPOSITE)
   list(REMOVE_ITEM files x11/extensions/composite.cpp)

=== lib/i3ipcpp/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
 get_directory_property(HAS_PARENT PARENT_DIRECTORY)
 if(HAS_PARENT)
   set(I3IPCPP_LIBRARIES ${PROJECT_NAME} PARENT_SCOPE)
-  set(I3IPCPP_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/include ${JSONCPP_INCLUDEDIR})
+  set(I3IPCPP_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/include ${JSONCPP_INCLUDEDIR} PARENT_SCOPE)
 endif()
 
 # }}}

=== debian/changelog ===
polybar (3.4.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Dec 2019 22:23:56 -0800

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_strip --no-automatic-dbgsym
 
 # git commit or tag
-GITREV=3.4.1
+GITREV=3.4.2
 GIT_URL=https://github.com/jaagr/polybar
 SRC_DIR=polybar-$(DEB_VERSION_UPSTREAM)

## polybar 3.4.3

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -57,3 +57,9 @@
 add_unit_test(components/bar)
 add_unit_test(components/builder)
 add_unit_test(components/parser)
+
+# Run make check to build and run all unit tests
+add_custom_target(check
+  COMMAND GTEST_COLOR=1 ctest --output-on-failure
+  DEPENDS all_unit_tests
+  )

=== lib/i3ipcpp/libs/jsoncpp-1.7.7/src/lib_json/CMakeLists.txt ===
if( CMAKE_COMPILER_IS_GNUCXX )
  #Get compiler version.
  execute_process( COMMAND ${CMAKE_CXX_COMPILER} -dumpversion
                   OUTPUT_VARIABLE GNUCXX_VERSION )

  #-Werror=* was introduced -after- GCC 4.1.2
  if( GNUCXX_VERSION VERSION_GREATER 4.1.2 )
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=strict-aliasing")
  endif()
endif( CMAKE_COMPILER_IS_GNUCXX )

SET( JSONCPP_INCLUDE_DIR ../../include )

SET( PUBLIC_HEADERS
    ${JSONCPP_INCLUDE_DIR}/json/config.h
    ${JSONCPP_INCLUDE_DIR}/json/forwards.h
    ${JSONCPP_INCLUDE_DIR}/json/features.h
    ${JSONCPP_INCLUDE_DIR}/json/value.h
    ${JSONCPP_INCLUDE_DIR}/json/reader.h
    ${JSONCPP_INCLUDE_DIR}/json/writer.h
    ${JSONCPP_INCLUDE_DIR}/json/assertions.h
    ${JSONCPP_INCLUDE_DIR}/json/version.h
    )

SOURCE_GROUP( "Public API" FILES ${PUBLIC_HEADERS} )

SET(jsoncpp_sources
                json_tool.h
                json_reader.cpp
                json_valueiterator.inl
                json_value.cpp
                json_writer.cpp
                version.h.in)

# Install instructions for this target
IF(JSONCPP_WITH_CMAKE_PACKAGE)
    SET(INSTALL_EXPORT EXPORT jsoncpp)
ELSE(JSONCPP_WITH_CMAKE_PACKAGE)
    SET(INSTALL_EXPORT)
ENDIF()

IF(BUILD_SHARED_LIBS)
    ADD_DEFINITIONS( -DJSON_DLL_BUILD )
    ADD_LIBRARY(jsoncpp_lib SHARED ${PUBLIC_HEADERS} ${jsoncpp_sources})
    SET_TARGET_PROPERTIES( jsoncpp_lib PROPERTIES VERSION ${JSONCPP_VERSION} SOVERSION ${JSONCPP_SOVERSION})
    SET_TARGET_PROPERTIES( jsoncpp_lib PROPERTIES OUTPUT_NAME jsoncpp
                           DEBUG_OUTPUT_NAME jsoncpp${DEBUG_LIBNAME_SUFFIX} )

    # Set library's runtime search path on OSX
    IF(APPLE)
        SET_TARGET_PROPERTIES( jsoncpp_lib PROPERTIES INSTALL_RPATH "@loader_path/." )
    ENDIF()

    INSTALL( TARGETS jsoncpp_lib ${INSTALL_EXPORT}
         RUNTIME DESTINATION ${RUNTIME_INSTALL_DIR}
         LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
         ARCHIVE DESTINATION ${ARCHIVE_INSTALL_DIR})

    IF(NOT CMAKE_VERSION VERSION_LESS 2.8.11)
        TARGET_INCLUDE_DIRECTORIES( jsoncpp_lib PUBLIC
                                   $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
                                   $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/${JSONCPP_INCLUDE_DIR}>)
    ENDIF()

ENDIF()

IF(BUILD_STATIC_LIBS)
    ADD_LIBRARY(jsoncpp_lib_static STATIC ${PUBLIC_HEADERS} ${jsoncpp_sources})
    SET_TARGET_PROPERTIES( jsoncpp_lib_static PROPERTIES VERSION ${JSONCPP_VERSION} SOVERSION ${JSONCPP_SOVERSION})
    SET_TARGET_PROPERTIES( jsoncpp_lib_static PROPERTIES OUTPUT_NAME jsoncpp
                           DEBUG_OUTPUT_NAME jsoncpp${DEBUG_LIBNAME_SUFFIX} )

    INSTALL( TARGETS jsoncpp_lib_static ${INSTALL_EXPORT}
         RUNTIME DESTINATION ${RUNTIME_INSTALL_DIR}
         LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
             ARCHIVE DESTINATION ${ARCHIVE_INSTALL_DIR})

    IF(NOT CMAKE_VERSION VERSION_LESS 2.8.11)
        TARGET_INCLUDE_DIRECTORIES( jsoncpp_lib_static PUBLIC
                                $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
                                $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/${JSONCPP_INCLUDE_DIR}>
                                )
     ENDIF()

ENDIF()

=== debian/changelog ===
polybar (3.4.3-2) unstable; urgency=medium

  * With this release, the only reproducible build issue left is a differing
    NT_GNU_BUILD_ID.
  * d/rules: Add reproducible=+fixfilepath flag for reproducibility.
  * d/p/redact_build_flags.patch: New patch for reproducible builds.
  * d/watch: Fix d/watch to correctly get upstream's tarball.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 09 Jun 2020 23:04:58 +0100

polybar (3.4.3-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * d/watch: Fix to get the correct tarball with the git submodules included

  [ Utkarsh Gupta ]
  * New upstream version 3.4.3
  * Bump dh-compat to 13
  * Refresh d/patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 15 May 2020 06:37:45 +0530

polybar (3.4.2-4) unstable; urgency=medium

  * Source-only upload.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 13 Apr 2020 01:51:36 +0530

polybar (3.4.2-3) unstable; urgency=medium

  * Stop generating example config at build time
  * d/p/disable_config_generation.patch: New patch, unblock reproducible build

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Apr 2020 19:13:27 +0100

polybar (3.4.2-2) unstable; urgency=medium

  * d/copyright: Add license information for lib/i3ipcpp/3rd/auss

 -- Samuel Henrique <samueloph@debian.org>  Thu, 09 Apr 2020 22:14:11 +0100

polybar (3.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #856179),
    Many thanks to Ayose <ayosec@gmail.com> and Jason Pleau <jason@jpleau.ca>
    for having worked on the packaging of polybar for Debian, which was used
    as a base for this one.

 -- Samuel Henrique <samueloph@debian.org>  Sat, 22 Feb 2020 16:14:56 +0000

=== debian/control ===
Source: polybar
Section: x11
Priority: optional
Homepage: https://polybar.github.io/
Maintainer: Samuel Henrique <samueloph@debian.org>
Uploaders: Utkarsh Gupta <utkarsh@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               i3-wm,
               libasound2-dev,
               libcairo2-dev,
               libcurl4-openssl-dev,
               libjsoncpp-dev,
               libmpdclient-dev,
               libnl-genl-3-dev,
               libpulse-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-ewmh-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-render0-dev,
               libxcb-sync-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-xrm-dev,
               pkg-config,
               python3-sphinx,
               python3-xcbgen,
               xcb-proto
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/polybar
Vcs-Git: https://salsa.debian.org/debian/polybar.git

Package: polybar
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Fast and easy-to-use tool for creating status bars
 Polybar aims to help users build beautiful and highly customizable status bars
 for their desktop environment, without the need of having a black belt in
 shell scripting.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure --		   \
	  -DBUILD_DOC:BOOL="ON"            \
	  -DBUILD_TESTS:BOOL="OFF"          \
	  -DENABLE_ALSA:BOOL="ON"          \
	  -DENABLE_PULSEAUDIO:BOOL="ON"    \
	  -DENABLE_I3:BOOL="ON"            \
	  -DENABLE_MPD:BOOL="ON"           \
	  -DENABLE_NETWORK:BOOL="ON"       \
	  -DENABLE_CURL:BOOL="ON"          \
	  -DBUILD_IPC_MSG:BOOL="ON"

override_dh_compress:
	dh_compress --exclude=config

=== debian/watch ===
version=4
opts=\
repack,compression=xz
https://github.com/polybar/polybar/releases .*/polybar-?(\d\S+)\.tar

## polybar 3.5.2

=== debian/changelog ===
polybar (3.5.2-0.1~mx19+1) mx; urgency=medium

  * New upstream version 3.5.2

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Dec 2020 10:05:32 -0800

polybar (3.5.0-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Link against atomic on platforms that doesn't have __atomic*
    (closes: #976988)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 09 Dec 2020 18:23:48 +0000

polybar (3.5.0-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 3.5.0
  * Drop patch that has been merged upstream
  * Refresh d/patches

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.5.1
  * d/control: Add git build-dep
  * d/p/disable_config_generation.patch: Add Forwarded field with
    'not-needed' value
  * d/p/dont_build_html_doc.patch: Add Forwarded field with 'not-needed'
    value
  * d/copyright: Remove mention of libjsoncpp, not vendored anymore

 -- Samuel Henrique <samueloph@debian.org>  Tue, 08 Dec 2020 18:47:21 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Maintainer: Samuel Henrique <samueloph@debian.org>
 Uploaders: Utkarsh Gupta <utkarsh@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
+               git,
                i3-wm,
                libasound2-dev,
                libcairo2-dev,
@@ -30,15 +31,14 @@
                python3-sphinx,
                python3-xcbgen,
                xcb-proto
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/polybar
 Vcs-Git: https://salsa.debian.org/debian/polybar.git
 
 Package: polybar
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Fast and easy-to-use tool for creating status bars
  Polybar aims to help users build beautiful and highly customizable status bars
  for their desktop environment, without the need of having a black belt in

## polybar 3.5.4

=== debian/changelog ===
polybar (3.5.4-1) unstable; urgency=medium

  * New upstream version 3.5.4

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 07 Jan 2021 19:26:45 +0530

polybar (3.5.3-1) unstable; urgency=medium

  * New upstream version 3.5.3
  * Drop BD on git

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 24 Dec 2020 00:31:51 +0530

polybar (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * d/watch: Upstream now provides compressed tarballs

 -- Samuel Henrique <samueloph@debian.org>  Tue, 22 Dec 2020 00:11:49 +0000
